MPSTAT(1)

BEZEICHNUNG
mpstat - auf Prozessoren bezogene Statistiken erstellen.

ÜBERSICHT
mpstat [ -A ] [ --dec={ 0 | 1 | 2 } ] [ -n ] [ -u ] [ -T ] [ -V ] [ -I { Schlüsselwort [, …] | ALL } ] [ -N { Knotenliste | ALL } ] [ -o JSON ] [ -P { CPU_Liste | ALL } ] [ Intervall [ Anzahl ] ]

BESCHREIBUNG
Der Befehl mpstat schreibt die Aktivitäten für jeden verfügbaren Prozessor in die Standardausgabe, wobei der Prozessor 0 der erste ist. Außerdem wird der globale Aktivitätsdurchschnitt aller Prozessoren berichtet. Der Befehl mpstat kann auf sowohl SMP- als auch UP-Maschinen verwendet werden, wobei im letzteren Fall nur der globale Aktivitätsdurchschnitt ausgegeben wird. Falls keine Aktivität ausgewählt ist, dann ist der Bericht der CPU-Nutzung der standardmäßige Bericht.

Der Parameter Intervall gibt die Zeit in Sekunden zwischen den einzelnen Berichten an. Ein Wert von 0 (oder kein Parameter) zeigt an, dass die Prozessorenstatistiken für die Zeit seit dem Systemstart berichtet werden sollen. Jeder der darauf folgenden Berichte enthält Statistiken, die in der Zeit seit dem vorhergehenden Bericht gesammelt wurden. Falls der Parameter Anzahl angegeben und nicht auf Null gesetzt ist, bestimmt dessen Wert die Anzahl der Berichte, die im Abstand von Intervall (in Sekunden) erfolgen. Falls der Parameter Intervall ohne den Parameter Anzahl angegeben ist, erzeugt der Befehl mpstat die Berichte fortlaufend.

OPTIONEN

-A  Diese Option ist gleichbedeutend mit der Angabe -n -u -I ALL. Sie impliziert auch die Angabe -N ALL -P ALL, außer diese Optionen werden in der Befehlszeile explizit gesetzt.

--dec={ 0 | 1 | 2 }
    gibt die Anzahl der zu verwendenden Dezimalstellen an (0 bis 2, Standardwert ist 2).

-I { Schlüsselwort[, …] | ALL }
    Berichtet Interrupt-Statistiken. Mögliche Schlüsselwörter sind CPU, SCPU und SUM.

    Mit dem Schlüsselwort CPU wird die Anzahl einzelner pro Sekunde von der CPU oder den CPUs empfangener Interrupts angezeigt. Die Interrupts sind in der Datei /proc/interrupts aufgelistet.

    Mit dem Schlüsselwort SCPU wird die Anzahl einzelner pro Sekunde von der CPU oder den CPUs empfangener Software-Interrupts angezeigt. Diese Option funktioniert nur mit Kerneln der Version 2.6.31 oder neuer. Die Software-Interrupts sind in der Datei /proc/softirqs aufgelistet.

    Mit dem Schlüsselwort SUM zeigt der Befehl mpstat die Gesamtzahl der Interrupts pro Prozessor an. Die folgenden Wert werden angezeigt:

    CPU bezeichnet die Prozessornummer. Das Schlüsselwort all gibt an, dass Statistiken als Durchschnitt aller Prozessoren berechnet werden sollen.

    intr/s
        zeigt die Gesamtzahl der pro Sekunde von der CPU oder den CPUs empfangenen Interrupts an.

    Das Schlüsselwort ALL ist gleichbedeutend mit der Angabe aller oben aufgeführten Schlüsselwörter. Daher werden alle Interrupt-Statistiken angezeigt.

-N { Knotenliste | ALL }
    bezeichnet die NUMA-Knoten, für die Statistiken erstellt werden sollen. Die Knotenliste ist eine Liste mit durch Kommata getrennten Werten oder Wertebereichen (zum Beispiel 0,2,4-7,12-). Beachten Sie, dass der Knoten all der globale Durchschnitt aller Knoten ist. Das Schlüsselwort ALL gibt an, dass Statistiken für alle Knoten erstellt werden sollen.

-n  berichtet zusammengefasste CPU-Statistiken, die auf der Platzierung der NUMA-Knoten basieren. Die folgenden Werte werden angezeigt:

    NODE
        Logische NUMA-Knotennummer. Das Schlüsselwort all gibt an, dass die Statistiken als Durchschnitt aller Knoten errechnet werden.

    Alle anderen Felder sind die gleichen, die mit der Option -u angezeigt werden (siehe unten).

-o JSON
    zeigt die Statistiken im JSON-Format (JavaScript Object Notation) an. Die Reihenfolge der JSON-Felder ist nicht definiert, und neue Felder könnten in der Zukunft hinzugefügt werden.

-P { CPU_Liste | ALL }
    bezeichnet die Prozessoren, für die Statistiken erstellt werden sollen. Die CPU_Liste ist eine Liste mit durch Kommata getrennten Werten oder Wertebereichen (zum Beispiel 0,2,4-7,12-). Beachten Sie, dass der Prozessor 0 der erste Prozessor ist und der Prozessor all der globale Durchschnitt aller Prozessoren ist. Das Schlüsselwort ALL gibt an, dass Statistiken für alle Prozessoren erstellt werden sollen. Offline-Prozessoren werden nicht angezeigt.

-T  zeigt die topologischen Elemente im CPU-Bericht an (siehe die Option -u unten). Die folgenden Elemente werden angezeigt:

    CORE
        Logische Kernnummer.

    SOCK
        Logische Socket-Nummer.

    NODE
        Logische NUMA-Knotennummer.

-u  berichtet die CPU-Nutzung. Die folgenden Werte werden angezeigt:

    CPU bezeichnet die Prozessornummer. Das Schlüsselwort all gibt an, dass Statistiken als Durchschnitt aller Prozessoren berechnet werden sollen.

    %usr
        zeigt den Prozentsatz der CPU-Nutzung während der Ausführung auf Benutzerebene (bzw. Anwendungsebene) an.

    %nice
        zeigt den Prozentsatz der CPU-Nutzung während der Ausführung auf Benutzerebene mit Nice-Priorität an.

    %sys
        zeigt den Prozentsatz der CPU-Nutzung während der Ausführung auf Systemebene (Kernel) an. Beachten Sie, dass dies nicht die Zeit berücksichtigt, die zum Bedienen von Hardware- und Software-Interrupts aufgewendet wurde.

    %iowait
        zeigt den Prozentsatz der Zeit an, die die CPU oder die CPUs während einer ausstehenden Platten-E/A-Anfrage im Leerlauf waren.

    %irq
        zeigt den Prozentsatz der Zeit, die von der CPU oder den CPUs zum Bedienen von Hardware-Interrupts aufgewendet wurde.

    %soft
        zeigt den Prozentsatz der Zeit, die von der CPU oder den CPUs zum Bedienen von Software-Interrupts aufgewendet wurde.

    %steal
        zeigt den Prozentsatz der in ungewolltem Wartezustand verbrachten Zeit, die von der virtuellen CPU oder den virtuellen CPUs aufgewendet wurde, während der Hypervisor einen anderen virtuellen Prozessor bedient hat.

    %guest
        zeigt den Prozentsatz der Zeit, die von der CPU oder den CPUs zum Ausführen eines virtuellen Prozessors aufgewendet wurde.

    %gnice
        zeigt den Prozentsatz der Zeit, die von der CPU oder den CPUs zum Ausführen eines »niced« Gastsystems aufgewendet wurde.

    %idle
        zeigt den Prozentsatz der Zeit an, die die CPU oder die CPUs ohne eine ausstehende Platten-E/A-Anfrage im Leerlauf waren.

-V  gibt die Versionsnummer aus und beendet das Programm.

UMGEBUNGSVARIABLEN
Der Befehl mpstat berücksichtigt die folgenden Umgebungsvariablen:

S_COLORS
    Standardmäßig werden die Statistiken im Terminal in Farbe dargestellt. Verwenden Sie diese Variable, um die Einstellungen zu ändern. Mögliche Werte für diese Variable sind never, always oder auto (Letzteres ist die Standardeinstellung).
    Beachten Sie, dass die Farbe (egal ob rot, gelb oder irgendeine andere Farbe), die zum Anzeigen eines Wertes verwendet wird, nicht allein durch die Färbung eine Bedeutung für die Ausgabe hat. Sie zeigt lediglich verschiedene Wertebereiche an.

S_COLORS_SGR
    Diese Variable gibt die Farben und andere Attribute an, die zur Anzeige der Statistiken im Terminal verwendet werden. Deren Wert ist eine durch Doppelpunkte getrennte Liste der Fähigkeiten, standardmäßig H=31;1:I=32;22:M=35;1:N=34;1:Z=34;22. Folgende Fähigkeiten werden unterstützt:

    H=  SGR-Teilzeichenkette (Select Graphic Rendition) für Prozentwerte größer oder gleich 75%.

    I=  SGR-Teilzeichenkette für die CPU-Nummer.

    M=  SGR-Teilzeichenkette für Prozentwerte im Bereich von 50% bis 75%.

    N=  SGR-Teilzeichenkette für von Null verschiedene statistische Werte.

    Z=  SGR-Teilzeichenkette für Null-Werte.

S_TIME_FORMAT
    Falls diese Variable existiert und deren Wert auf ISO gesetzt ist, dann wird die aktuelle Locale bei der Ausgabe des Datums in der Berichtsüberschrift ignoriert. Der Befehl mpstat wird dann stattdessen das ISO-8601-Format (JJJJ-MM-TT) verwenden. Der angezeigte Zeitstempel wird auch zum ISO-8601-Format kompatibel sein.

BEISPIELE

mpstat 2 5
    zeigt fünf Berichte mit globalen Statistiken aller Prozessoren in Zwei-Sekunden-Intervallen an.

mpstat -P ALL 2 5
    zeigt fünf Berichte mit Statistiken aller Prozessoren in Zwei-Sekunden-Intervallen an.

FEHLER
Das /proc-Dateisystem muss eingehängt sein, damit mpstat funktioniert.

DATEIEN
/proc enthält verschiedene Dateien mit Systemstatistiken.

AUTOR
Sebastien Godard (sysstat <at> orange.fr)

SIEHE AUCH
sar(1), pidstat(1), iostat(1), vmstat(8)

https://github.com/sysstat/sysstat
http://pagesperso-orange.fr/sebastien.godard/

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).